package com.cirs.biz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cirs.common.annotation.Excel;
import com.cirs.common.core.domain.BaseEntity;

/**
 * 验证任务详情对象 t_verification_task_detail
 * 
 * @author allen
 * @date 2023-11-03
 */
public class TVerificationTaskDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 任务id */
    @Excel(name = "任务id")
    private Long taskId;

    @Excel(name = "使用场景")
    private String useScene;
    /** 查询条件 */
    @Excel(name = "查询条件")
    private String searchCondition;

    /** 标准结果1 */
    @Excel(name = "标准结果1")
    private String result1;

    /** 标准结果2 */
    @Excel(name = "标准结果2")
    private String result2;

    /** 标准结果3 */
    @Excel(name = "标准结果3")
    private String result3;

    /** 标准结果4 */
    @Excel(name = "标准结果4")
    private String result4;

    /** 标准结果5 */
    @Excel(name = "标准结果5")
    private String result5;

    /** 计算结果1 */
    @Excel(name = "计算结果1")
    private String calculate1;

    /** 计算结果2 */
    @Excel(name = "计算结果2")
    private String calculate2;

    /** 计算结果3 */
    @Excel(name = "计算结果3")
    private String calculate3;

    /** 召回率 */
//    @Excel(name = "召回率")
//    private String accuracy;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUseScene(String useScene)
    {
        this.useScene = useScene;
    }

    public String getUseScene()
    {
        return useScene;
    }
    public void setTaskId(Long taskId)
    {
        this.taskId = taskId;
    }

    public Long getTaskId()
    {
        return taskId;
    }
    public void setSearchCondition(String searchCondition) 
    {
        this.searchCondition = searchCondition;
    }

    public String getSearchCondition() 
    {
        return searchCondition;
    }
    public void setResult1(String result1) 
    {
        this.result1 = result1;
    }

    public String getResult1() 
    {
        return result1;
    }
    public void setResult2(String result2) 
    {
        this.result2 = result2;
    }

    public String getResult2() 
    {
        return result2;
    }
    public void setResult3(String result3) 
    {
        this.result3 = result3;
    }

    public String getResult3() 
    {
        return result3;
    }
    public void setResult4(String result4) 
    {
        this.result4 = result4;
    }

    public String getResult4() 
    {
        return result4;
    }
    public void setResult5(String result5) 
    {
        this.result5 = result5;
    }

    public String getResult5() 
    {
        return result5;
    }
    public void setCalculate1(String calculate1) 
    {
        this.calculate1 = calculate1;
    }

    public String getCalculate1() 
    {
        return calculate1;
    }
    public void setCalculate2(String calculate2) 
    {
        this.calculate2 = calculate2;
    }

    public String getCalculate2() 
    {
        return calculate2;
    }
    public void setCalculate3(String calculate3) 
    {
        this.calculate3 = calculate3;
    }

    public String getCalculate3() 
    {
        return calculate3;
    }
//    public void setAccuracy(String accuracy)
//    {
//        this.accuracy = accuracy;
//    }
//
//    public String getAccuracy()
//    {
//        return accuracy;
//    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("useScene",getUseScene())
            .append("searchCondition", getSearchCondition())
            .append("result1", getResult1())
            .append("result2", getResult2())
            .append("result3", getResult3())
            .append("result4", getResult4())
            .append("result5", getResult5())
            .append("calculate1", getCalculate1())
            .append("calculate2", getCalculate2())
            .append("calculate3", getCalculate3())
//            .append("accuracy", getAccuracy())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
